/******************************************************************************\
 * addfoldericons: GlobalConstants.h
 *
 * Global application constant definitions. Other hard-coded constant values of
 * interest can be found in the library code.
 *
 * (C) Hipposoft 2009 <ahodgkin@rowing.org.uk>
 \******************************************************************************/

#import <Cocoa/Cocoa.h>

/* Some useful strings */

#define PROGRAM_STRING "addfoldericon"
#define VERSION_STRING "1.50"
#define AUTHOR_STRING  "Andrew Hodgkinson"

/* Avoid subdirectories which are package-like (e.g. applications)? */

#define SKIP_PACKAGES YES

/* This global flag is set by the concurrent path processor if an error is
 * detected. Error messages are logged to the system console, printed to stderr
 * for direct command line users, and the global error flag is set so that the
 * application's overall return code can be set to EXIT_FAILURE rather than
 * EXIT_SUCCESS. Since several folder updates may have succeeded even if one
 * or more of the asynchronously processed folders failed, this "log the
 * details and return an overall general indication of success or failure"
 * approach is a decent balance of simplicity and information.
 */

Boolean globalErrorFlag; /* See main.m */
